function [x,fval] = do_alignment(t1,t2,guess);

p1 = path;
p1 = path(p1,'alignment');
% tolerances for the optimization
TolFun = 1e-3;
TolX = 1e-2;
options = optimset('TolFun',TolFun,'TolX',TolX);

% initial guess
% guess = [1.7307 -13.0522];

% time intervals for the splines
% t2 = [0 165];
% t1 = [0 119];
Splines1 = readMat('data1Splines.bin');
Splines2 = readMat('data2Splines.bin');
tot1 = size(t1,2);
tot2 = size(t2,2);

[x,fval,exitflag,output] = fminsearch('compute_error',guess,options,Splines2,Splines1,[t2(1) t2(tot2)],[t1(1) t1(tot1)]);