function cival = CI(Aii, sigma, z_alpha_by_2)
% cival = CI(Aii, sigma, z_alpha_by_2)
% default vals:
%   sigma: 0.2
%   z_alpha_by_2: 1


if (nargin < 2)
  sigma = 0.2;
end
if (nargin < 3)
  z_alpha_by_2 =1;
end


cival = z_alpha_by_2 * sqrt( Aii * (sigma^2));
