global topLevelCost;
global DEBUG;

DEBUG = 3;
load SimData;

dataSources = {'dataA' , 'dataB', 'dataC', 'dataD', 'dataE', 'dataF'};
dataS(1,:,:) = dataA;
dataS(2,:,:) = dataB;
dataS(3,:,:) = dataC;
dataS(4,:,:) = dataD;
dataS(5,:,:) = dataE;
dataS(6,:,:) = dataF;
startT = [1 6 12 18 24]';
numInitial = max(size(startT));
allTimes = (1:24)';
numFinalSamples = 12;
classes = 3;
sigma = 0.2;
errs = {'None'};
numRandomTries = 20;

costs = [0.5 0.6 0.7 0.8 0.9 1.0];
costTxt = {'0_5', '0_6', '0_7', '0_8', '0_9', '1_0'};
for k=[4 5 6]
  topLevelCost = costs(k);
  for i=[1 2 5]
    D(:,:) = dataS(i,:,:);
    for j=3:3
      % example file name: 'dataA_start5_end12_gcv'
      saveFileName = [ '7sep4pm_' dataSources{i} '_st' int2str(numInitial) '_end' ...
		       int2str(numFinalSamples) '_c_' costTxt{k} ];
      saveFileName
      %try
      
      [all_finalT, all_err, all_C1, all_Na, all_numCntrlPts] = runWithRandom(numRandomTries, D, startT, allTimes, numFinalSamples, classes, saveFileName, sigma);

      %catch
      % warning(lasterr);
      % errs{end+1} = lasterr;
      %end
    end
  end
end
