
load SimData;

dSets = [dataA, dataB, dataD, dataE, dataG, dataH];
dSetNames = {'dataA', 'dataB', 'dataD', 'dataE', 'dataG', 'dataH'};

threshold = ones(1,length(dSetNames))* (0.85 * 0.8 * .2 * 23);

threshold(3) = 3.6; % for dataD

allTimes = [1:24]';
classes = 3;

M = 100;

initialN = 5;

for j=1:length(dSetNames)
  fname = ['test4_' dSetNames{j}];
  rname  = ['test4_rnd_' dSetNames{j}];
  
  F = load(fname);
  R = load(rname);
 
  eF = F.err(F.err<100);
  eL1 = 1:length(eF);
  eX1 = eF<threshold(j);
  if ( length(eX1)>0 & sum(eX1)>0)
    eY1 = eL1(eX1);
    iF = initialN-1 + eY1(1);
  else
    iF = initialN-1 + length(eF);
  end

  f1 = sum(F.sampledPoints(iF,:));
%  f1 = length(F.finalT);


  r1 = sum(R.all_finalT,2);

  
  fprintf('for %s: lcv+al:%d random: median:%.1f mean:%.1f min:%d max:%d\n', dSetNames{j},f1, median(r1), mean(r1), min(r1), max(r1));
  f1, r1'
end

