function t1 = compKnots(times,tn);

% times - time of sampling for observed points
% tn - time fo the knots
tot = size(tn,2);
num = size(times,2);
t1 = 1:num;
for i=1:num,
  v1 = tn <= times(i);  
  newT = v1 .* tn;
  [val,pl] = max(newT);
  if pl == tot
    t1(i) = tot;  
  else
    t1(i) = pl + (times(i)-val)/(tn(pl+1)-val);
  end
end
