function sig = findSigma(Y,AllS,Mue,Gamma,num,numVals,clNum,prob,Theta,pSig);

% Y - Y a matrix, each column corresponds to a gene.
% AllS - Collection of matrices for each gene
% Gamma - Matrix of the currently estimated Gammas
% num - number of genes
% clNum - number of classes used
% prob - probablity for each gene in each class
% pSig - current sigma

tot = 0;
tot1 = 0;
preT = zeros(size(Gamma,1),size(Gamma,1),clNum);
for j=1:clNum,
  preT(:,:,j) = Theta(:,:,j)^(-1);
end 
for i=1:num, 
  S = AllS(:,:,i);
  curS = (AllS(:,:,i)'*AllS(:,:,i))/pSig;
  for j=1:clNum,
     vec = Y(:,i) - S*(Mue(:,j)+Gamma(:,i,j));
     %tr = trace((preT(:,:,j)+curS)^(-1)*S'*S);
     tr = trace( inv(preT(:,:,j)+curS)*S'*S);
     tot = tot + prob(j,i)*(vec'*vec);
     tot1 = tot1+ prob(j,i)*tr;
  end
end
sig = (tot+tot1)/sum(numVals);
sig1 = tot/sum(numVals);
