function Sij = createS(t,grid,gridSize,expNum)
% t - the time point for each of the possible values
% expNum - number of experiments
% gridSize - length of the grid
% Sij - a matrix of dimensions dim(x) * sum(x) that holds the spline
%       coeeficients for this gene

Sij = zeros(expNum,gridSize);
for i=1:expNum,
  for j=1:gridSize,
    if(t(i)~=0) 
      Sij(i,j) =findCoef(t(i)-grid(j));
    end
  end
end
