function [C1,C2,sig] = contWithKnownClasses(Nv1,Nv2,time1,time2,grid,classes,inNa);
%look at contRep for most of the arguments. the main difference is that
%contWithKnownClasses expects inNa so that it doesn't have to work out
%the classification all by itself

global DEBUG;

p1 = path;
%p1 = path(p1,'ziv/ContRep/contRep');
%p1 = path(p1,'ziv/ContRep/contWithKnownClasses');
[eps,temp] = size(Nv1);
if (DEBUG==1)
  [Tht,inp,avg,Gamma,sig] = interK(Nv1,inNa,grid,eps,time1,1,'data2');
else 
  if (DEBUG==1.5)
    [Tht,inp,avg,Gamma,sig] = interK(Nv1,inNa,grid,eps/2,time1,1,'data2');
  else
   if (DEBUG==2)
    [Tht,inp,avg,Gamma,sig] = interK(Nv1,inNa,grid,eps,time1,5,'data2');
   else
    %[Tht,inp,avg,Gamma,sig] = interK(Nv1,inNa,grid,eps/2,time1,5,'data2');
    [Tht,inp,avg,Gamma,sig] = interK(Nv1,inNa,grid,eps,time1,3,'data2');
   end
  end
end
tot1 = size(time1,2);
tot2 = size(time2,2);
np1 = time1(tot1)-time1(1)+1;
np2 = time2(tot2)-time2(1)+1;
C1 = zeros(eps,np1)+110;
C2 = zeros(eps,np2)+110;
C1(inNa>0,:) = evalPol('data2Splines.bin',time1(1),time1(tot1));
C2(inNa>0,:) = evalPol('data2Splines.bin',time2(1),time2(tot2));
