% for the paper. for sim data for ErrThreshold. only use dataA, dataE, dataI
load SimData;

dSets = {dataA, dataB, dataD, dataE, dataG, dataH, dataI};
dSetNames = {'dataA', 'dataB', 'dataD', 'dataE', 'dataG', 'dataH', 'dataI'};
dQual     = {'Easy','Hard','Easy','Moderate','Moderate','Moderate','Hard'};
trueErrThreshold = 0.15;

figure;

doTrueErrVsTimePoints=1;
i=1;
for j=[1 4 2]%length(dSets)

  [dPlotMat, rPlotMat, dStopAt, rStopAt] = ...
      test4_anlyz_trueErrvsTimePts(j,trueErrThreshold);

  if (doTrueErrVsTimePoints)
    %BEGIN true error vs timepoints
    subplot(1,3,i);
    
    plot(dPlotMat(:,1), dPlotMat(:,2),'ko-',rPlotMat(:,1), rPlotMat(:,2),'r*-',dPlotMat(:,1), dPlotMat(:,2),'ko',rPlotMat(:,1), ...
	 rPlotMat(:,2),'r*',[4 22], [trueErrThreshold trueErrThreshold], ...
	 'g--',[dStopAt dStopAt],[0 dPlotMat(dStopAt-4,2)],'k-.',[rStopAt rStopAt],[0 rPlotMat(rStopAt-4,2)],'r-.');
    v = axis;
    axis([4 23 v(3) 0.45]);
    if (j==1) 
      ylabel('True Error','FontSize', 11,'FontWeight','bold');
    end
    if (j==4)
      xlabel('Number of Time-points','FontSize', 11,'FontWeight','bold');
    end
    s=sprintf('%s',dQual{j});
    [LEGH,OBJH,OUTH,OUTM] = legend('ActiveLearn','Random');
    set(LEGH,'FontSize', 10);
    title(s,'FontSize', 11,'FontWeight','bold');  
    %END true error vs timepoints
  end
  
  
  %figname = sprintf('test4_2in1_gcverror_%s.tiff',dSetNames{j});
  %print(gcf, '-dtiff',figname);
  %figure;
i = i+1;
end
exportfig(gcf,'sim_et_figs1.eps','width',4.5,'height',3,'Color','cmyk','Renderer','Painters')
%close;


