%TO: for gcv+al, lcv+al, and uniform. plot curves.

global topLevelCost;
global DEBUG;

DEBUG = 3;
load SimData;
load FineGrainData;

fSets = {fineG, fineH};
dSets = {dataG, dataH};
dSetNames = {'dataG', 'dataH'};

strats = {'gcv', 'lcv-smart', 'gcv-activelearning', 'lcv-activelearning'};
stratTitles = {'gcv','lcv','gcv+al','lcv+al'};

names = {'lcv+al', 'gcv+al', 'uniform'};

for j=1:length(dSets)
  lcvFile = ['9oct6am_' dSetNames{j} '_st5_end12_lcv-activelearning_c_1_0'];
  gcvFile = ['9oct6am_' dSetNames{j} '_st5_end12_gcv-activelearning_c_1_0'];
  unifFile = ['test5_unif_fine_' dSetNames{j}];
  
  test3_visualizeFunc(dSets{j}, lcvFile, gcvFile, unifFile, dSetNames{j}, ...
		   names, ['cost=1.0']);
  figname = ['test5_' dSetNames{j} '.eps'];
  print (gcf,'-depsc',figname);
  close(gcf);
end

	    
	    
